package org.dromara.common.sms.client.message;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlRootElement(name = "fetchMoResponse", namespace = "http://www.csapi.org/schema/parlayx/sms/send/v2_2/local")
@XmlAccessorType(XmlAccessType.FIELD)
public class FetchMoResponse {

    @XmlElement(name = "moMessage")
    List<MoMessage> list = null;

    public List<MoMessage> getList() {
        return list;
    }

    public void setList(List<MoMessage> list) {
        this.list = list;
    }

    @Override
    public String toString() {

        StringBuilder builder = new StringBuilder("\n==========fetchMoResponse==========");

        if (list != null) {
            for (MoMessage mo : list) {
                builder.append("\n");
                builder.append(mo.toString());
            }
        }

        builder.append("\n================================================");

        return builder.toString();
    }
}
